### Method

# Tsparql Resource get_identifier

#### Declaration [src]

    const char*
    tracker_resource_get_identifier (
      TrackerResource* self
    )

#### Description [src]

Returns the identifier of a resource.

If the identifier was set to NULL, the identifier returned will be a locally unique SPARQL blank node identifier, such as `_:123`.

Gets property | `Tsparql.Resource:identifier`

#### Return value

Type: `const char*`

A string owned by the resource.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.